/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractFeishuApprovalsEditUI extends com.kingdee.eas.framework.client.EditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractFeishuApprovalsEditUI.class);
    protected KDLabelContainer contId;
    protected KDLabelContainer contCreator;
    protected KDLabelContainer contCreateTime;
    protected KDLabelContainer contLastUpdateUser;
    protected KDLabelContainer contLastUpdateTime;
    protected KDLabelContainer contCU;
    protected KDLabelContainer contBaseInfoId;
    protected KDCheckBox chkIsComUse;
    protected KDLabelContainer contIndex;
    protected KDLabelContainer contHrOrgUse;
    protected KDLabelContainer contState;
    protected KDLabelContainer contChangeType;
    protected KDLabelContainer contapprovalCode;
    protected KDLabelContainer contapprovalName;
    protected KDLabelContainer contgroup;
    protected KDLabelContainer contcreateLinkPc;
    protected KDLabelContainer contcreateLinkMobile;
    protected KDCheckBox chksupportPc;
    protected KDCheckBox chksupportMobile;
    protected KDLabelContainer contcallbackUrl;
    protected KDLabelContainer contcallbackToken;
    protected KDLabelContainer contcallbacKey;
    protected KDLabelContainer contbizName;
    protected KDLabelContainer contbizType;
    protected KDCheckBox chksupportBatchRead;
    protected KDCheckBox chkenableMarkReaded;
    protected KDCheckBox chkenableQuickOperate;
    protected KDCheckBox chkallowBatchOperate;
    protected KDCheckBox chkexcludeEfficStat;
    protected KDTable kdtViews;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtViews_detailPanel = null;
    protected KDTable kdtManagers;
	protected com.kingdee.eas.framework.client.multiDetail.DetailPanel kdtManagers_detailPanel = null;
    protected KDLabelContainer contsyncStatus;
    protected KDLabelContainer contsyncResult;
    protected KDLabelContainer contmodel;
    protected KDTextField txtId;
    protected KDBizPromptBox prmtCreator;
    protected KDTimePicker pkCreateTime;
    protected KDBizPromptBox prmtLastUpdateUser;
    protected KDTimePicker pkLastUpdateTime;
    protected KDBizPromptBox prmtCU;
    protected KDTextField txtBaseInfoId;
    protected KDTextField txtIndex;
    protected KDBizPromptBox prmtHrOrgUse;
    protected KDComboBox comboState;
    protected KDComboBox comboChangeType;
    protected KDTextField txtapprovalCode;
    protected KDBizPromptBox prmtapprovalName;
    protected KDBizPromptBox prmtgroup;
    protected KDScrollPane scrollPanecreateLinkPc;
    protected KDTextArea txtcreateLinkPc;
    protected KDScrollPane scrollPanecreateLinkMobile;
    protected KDTextArea txtcreateLinkMobile;
    protected KDScrollPane scrollPanecallbackUrl;
    protected KDTextArea txtcallbackUrl;
    protected KDScrollPane scrollPanecallbackToken;
    protected KDTextArea txtcallbackToken;
    protected KDScrollPane scrollPanecallbacKey;
    protected KDTextArea txtcallbacKey;
    protected KDBizPromptBox prmtbizName;
    protected KDTextField txtbizType;
    protected KDComboBox syncStatus;
    protected KDScrollPane scrollPanesyncResult;
    protected KDTextArea txtsyncResult;
    protected KDScrollPane scrollPanemodel;
    protected KDTextArea txtmodel;
    protected com.kingdee.eas.framework.CoreBaseInfo editData = null;
    protected com.kingdee.eas.custom.integration.feishu.FeishuApprovalsInfo entityBaseItemCustom = null;
    /**
     * output class constructor
     */
    public AbstractFeishuApprovalsEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractFeishuApprovalsEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        this.contId = new KDLabelContainer();
        this.contCreator = new KDLabelContainer();
        this.contCreateTime = new KDLabelContainer();
        this.contLastUpdateUser = new KDLabelContainer();
        this.contLastUpdateTime = new KDLabelContainer();
        this.contCU = new KDLabelContainer();
        this.contBaseInfoId = new KDLabelContainer();
        this.chkIsComUse = new KDCheckBox();
        this.contIndex = new KDLabelContainer();
        this.contHrOrgUse = new KDLabelContainer();
        this.contState = new KDLabelContainer();
        this.contChangeType = new KDLabelContainer();
        this.contapprovalCode = new KDLabelContainer();
        this.contapprovalName = new KDLabelContainer();
        this.contgroup = new KDLabelContainer();
        this.contcreateLinkPc = new KDLabelContainer();
        this.contcreateLinkMobile = new KDLabelContainer();
        this.chksupportPc = new KDCheckBox();
        this.chksupportMobile = new KDCheckBox();
        this.contcallbackUrl = new KDLabelContainer();
        this.contcallbackToken = new KDLabelContainer();
        this.contcallbacKey = new KDLabelContainer();
        this.contbizName = new KDLabelContainer();
        this.contbizType = new KDLabelContainer();
        this.chksupportBatchRead = new KDCheckBox();
        this.chkenableMarkReaded = new KDCheckBox();
        this.chkenableQuickOperate = new KDCheckBox();
        this.chkallowBatchOperate = new KDCheckBox();
        this.chkexcludeEfficStat = new KDCheckBox();
        this.kdtViews = new KDTable();
        this.kdtManagers = new KDTable();
        this.contsyncStatus = new KDLabelContainer();
        this.contsyncResult = new KDLabelContainer();
        this.contmodel = new KDLabelContainer();
        this.txtId = new KDTextField();
        this.prmtCreator = new KDBizPromptBox();
        this.pkCreateTime = new KDTimePicker();
        this.prmtLastUpdateUser = new KDBizPromptBox();
        this.pkLastUpdateTime = new KDTimePicker();
        this.prmtCU = new KDBizPromptBox();
        this.txtBaseInfoId = new KDTextField();
        this.txtIndex = new KDTextField();
        this.prmtHrOrgUse = new KDBizPromptBox();
        this.comboState = new KDComboBox();
        this.comboChangeType = new KDComboBox();
        this.txtapprovalCode = new KDTextField();
        this.prmtapprovalName = new KDBizPromptBox();
        this.prmtgroup = new KDBizPromptBox();
        this.scrollPanecreateLinkPc = new KDScrollPane();
        this.txtcreateLinkPc = new KDTextArea();
        this.scrollPanecreateLinkMobile = new KDScrollPane();
        this.txtcreateLinkMobile = new KDTextArea();
        this.scrollPanecallbackUrl = new KDScrollPane();
        this.txtcallbackUrl = new KDTextArea();
        this.scrollPanecallbackToken = new KDScrollPane();
        this.txtcallbackToken = new KDTextArea();
        this.scrollPanecallbacKey = new KDScrollPane();
        this.txtcallbacKey = new KDTextArea();
        this.prmtbizName = new KDBizPromptBox();
        this.txtbizType = new KDTextField();
        this.syncStatus = new KDComboBox();
        this.scrollPanesyncResult = new KDScrollPane();
        this.txtsyncResult = new KDTextArea();
        this.scrollPanemodel = new KDScrollPane();
        this.txtmodel = new KDTextArea();
        this.contId.setName("contId");
        this.contCreator.setName("contCreator");
        this.contCreateTime.setName("contCreateTime");
        this.contLastUpdateUser.setName("contLastUpdateUser");
        this.contLastUpdateTime.setName("contLastUpdateTime");
        this.contCU.setName("contCU");
        this.contBaseInfoId.setName("contBaseInfoId");
        this.chkIsComUse.setName("chkIsComUse");
        this.contIndex.setName("contIndex");
        this.contHrOrgUse.setName("contHrOrgUse");
        this.contState.setName("contState");
        this.contChangeType.setName("contChangeType");
        this.contapprovalCode.setName("contapprovalCode");
        this.contapprovalName.setName("contapprovalName");
        this.contgroup.setName("contgroup");
        this.contcreateLinkPc.setName("contcreateLinkPc");
        this.contcreateLinkMobile.setName("contcreateLinkMobile");
        this.chksupportPc.setName("chksupportPc");
        this.chksupportMobile.setName("chksupportMobile");
        this.contcallbackUrl.setName("contcallbackUrl");
        this.contcallbackToken.setName("contcallbackToken");
        this.contcallbacKey.setName("contcallbacKey");
        this.contbizName.setName("contbizName");
        this.contbizType.setName("contbizType");
        this.chksupportBatchRead.setName("chksupportBatchRead");
        this.chkenableMarkReaded.setName("chkenableMarkReaded");
        this.chkenableQuickOperate.setName("chkenableQuickOperate");
        this.chkallowBatchOperate.setName("chkallowBatchOperate");
        this.chkexcludeEfficStat.setName("chkexcludeEfficStat");
        this.kdtViews.setName("kdtViews");
        this.kdtManagers.setName("kdtManagers");
        this.contsyncStatus.setName("contsyncStatus");
        this.contsyncResult.setName("contsyncResult");
        this.contmodel.setName("contmodel");
        this.txtId.setName("txtId");
        this.prmtCreator.setName("prmtCreator");
        this.pkCreateTime.setName("pkCreateTime");
        this.prmtLastUpdateUser.setName("prmtLastUpdateUser");
        this.pkLastUpdateTime.setName("pkLastUpdateTime");
        this.prmtCU.setName("prmtCU");
        this.txtBaseInfoId.setName("txtBaseInfoId");
        this.txtIndex.setName("txtIndex");
        this.prmtHrOrgUse.setName("prmtHrOrgUse");
        this.comboState.setName("comboState");
        this.comboChangeType.setName("comboChangeType");
        this.txtapprovalCode.setName("txtapprovalCode");
        this.prmtapprovalName.setName("prmtapprovalName");
        this.prmtgroup.setName("prmtgroup");
        this.scrollPanecreateLinkPc.setName("scrollPanecreateLinkPc");
        this.txtcreateLinkPc.setName("txtcreateLinkPc");
        this.scrollPanecreateLinkMobile.setName("scrollPanecreateLinkMobile");
        this.txtcreateLinkMobile.setName("txtcreateLinkMobile");
        this.scrollPanecallbackUrl.setName("scrollPanecallbackUrl");
        this.txtcallbackUrl.setName("txtcallbackUrl");
        this.scrollPanecallbackToken.setName("scrollPanecallbackToken");
        this.txtcallbackToken.setName("txtcallbackToken");
        this.scrollPanecallbacKey.setName("scrollPanecallbacKey");
        this.txtcallbacKey.setName("txtcallbacKey");
        this.prmtbizName.setName("prmtbizName");
        this.txtbizType.setName("txtbizType");
        this.syncStatus.setName("syncStatus");
        this.scrollPanesyncResult.setName("scrollPanesyncResult");
        this.txtsyncResult.setName("txtsyncResult");
        this.scrollPanemodel.setName("scrollPanemodel");
        this.txtmodel.setName("txtmodel");
        // CoreUI		
        this.btnPageSetup.setVisible(false);		
        this.btnCloud.setVisible(false);		
        this.btnXunTong.setVisible(false);		
        this.kDSeparatorCloud.setVisible(false);		
        this.menuItemPageSetup.setVisible(false);		
        this.menuItemCloudFeed.setVisible(false);		
        this.menuItemCloudScreen.setEnabled(false);		
        this.menuItemCloudScreen.setVisible(false);		
        this.menuItemCloudShare.setVisible(false);		
        this.kdSeparatorFWFile1.setVisible(false);		
        this.kDSeparator2.setVisible(false);		
        this.menuItemPrint.setVisible(false);		
        this.menuItemPrintPreview.setVisible(false);		
        this.kDSeparator4.setVisible(false);		
        this.kDSeparator4.setEnabled(false);		
        this.rMenuItemSubmit.setVisible(false);		
        this.rMenuItemSubmit.setEnabled(false);		
        this.rMenuItemSubmitAndAddNew.setVisible(false);		
        this.rMenuItemSubmitAndAddNew.setEnabled(false);		
        this.rMenuItemSubmitAndPrint.setVisible(false);		
        this.rMenuItemSubmitAndPrint.setEnabled(false);		
        this.btnReset.setEnabled(false);		
        this.btnReset.setVisible(false);		
        this.menuItemReset.setEnabled(false);		
        this.menuItemReset.setVisible(false);
        // contId		
        this.contId.setBoundLabelText(resHelper.getString("contId.boundLabelText"));		
        this.contId.setBoundLabelLength(100);		
        this.contId.setBoundLabelUnderline(true);
        // contCreator		
        this.contCreator.setBoundLabelText(resHelper.getString("contCreator.boundLabelText"));		
        this.contCreator.setBoundLabelLength(100);		
        this.contCreator.setBoundLabelUnderline(true);
        // contCreateTime		
        this.contCreateTime.setBoundLabelText(resHelper.getString("contCreateTime.boundLabelText"));		
        this.contCreateTime.setBoundLabelLength(100);		
        this.contCreateTime.setBoundLabelUnderline(true);
        // contLastUpdateUser		
        this.contLastUpdateUser.setBoundLabelText(resHelper.getString("contLastUpdateUser.boundLabelText"));		
        this.contLastUpdateUser.setBoundLabelLength(100);		
        this.contLastUpdateUser.setBoundLabelUnderline(true);
        // contLastUpdateTime		
        this.contLastUpdateTime.setBoundLabelText(resHelper.getString("contLastUpdateTime.boundLabelText"));		
        this.contLastUpdateTime.setBoundLabelLength(100);		
        this.contLastUpdateTime.setBoundLabelUnderline(true);
        // contCU		
        this.contCU.setBoundLabelText(resHelper.getString("contCU.boundLabelText"));		
        this.contCU.setBoundLabelLength(100);		
        this.contCU.setBoundLabelUnderline(true);
        // contBaseInfoId		
        this.contBaseInfoId.setBoundLabelText(resHelper.getString("contBaseInfoId.boundLabelText"));		
        this.contBaseInfoId.setBoundLabelLength(100);		
        this.contBaseInfoId.setBoundLabelUnderline(true);
        // chkIsComUse		
        this.chkIsComUse.setText(resHelper.getString("chkIsComUse.text"));
        // contIndex		
        this.contIndex.setBoundLabelText(resHelper.getString("contIndex.boundLabelText"));		
        this.contIndex.setBoundLabelLength(100);		
        this.contIndex.setBoundLabelUnderline(true);
        // contHrOrgUse		
        this.contHrOrgUse.setBoundLabelText(resHelper.getString("contHrOrgUse.boundLabelText"));		
        this.contHrOrgUse.setBoundLabelLength(100);		
        this.contHrOrgUse.setBoundLabelUnderline(true);
        // contState		
        this.contState.setBoundLabelText(resHelper.getString("contState.boundLabelText"));		
        this.contState.setBoundLabelLength(100);		
        this.contState.setBoundLabelUnderline(true);
        // contChangeType		
        this.contChangeType.setBoundLabelText(resHelper.getString("contChangeType.boundLabelText"));		
        this.contChangeType.setBoundLabelLength(100);		
        this.contChangeType.setBoundLabelUnderline(true);
        // contapprovalCode		
        this.contapprovalCode.setBoundLabelText(resHelper.getString("contapprovalCode.boundLabelText"));		
        this.contapprovalCode.setBoundLabelLength(100);		
        this.contapprovalCode.setBoundLabelUnderline(true);		
        this.contapprovalCode.setVisible(true);
        // contapprovalName		
        this.contapprovalName.setBoundLabelText(resHelper.getString("contapprovalName.boundLabelText"));		
        this.contapprovalName.setBoundLabelLength(100);		
        this.contapprovalName.setBoundLabelUnderline(true);		
        this.contapprovalName.setVisible(true);
        // contgroup		
        this.contgroup.setBoundLabelText(resHelper.getString("contgroup.boundLabelText"));		
        this.contgroup.setBoundLabelLength(100);		
        this.contgroup.setBoundLabelUnderline(true);		
        this.contgroup.setVisible(true);
        // contcreateLinkPc		
        this.contcreateLinkPc.setBoundLabelText(resHelper.getString("contcreateLinkPc.boundLabelText"));		
        this.contcreateLinkPc.setBoundLabelLength(100);		
        this.contcreateLinkPc.setBoundLabelUnderline(true);		
        this.contcreateLinkPc.setVisible(true);
        // contcreateLinkMobile		
        this.contcreateLinkMobile.setBoundLabelText(resHelper.getString("contcreateLinkMobile.boundLabelText"));		
        this.contcreateLinkMobile.setBoundLabelLength(100);		
        this.contcreateLinkMobile.setBoundLabelUnderline(true);		
        this.contcreateLinkMobile.setVisible(true);
        // chksupportPc		
        this.chksupportPc.setText(resHelper.getString("chksupportPc.text"));		
        this.chksupportPc.setVisible(true);		
        this.chksupportPc.setHorizontalAlignment(2);
        // chksupportMobile		
        this.chksupportMobile.setText(resHelper.getString("chksupportMobile.text"));		
        this.chksupportMobile.setVisible(true);		
        this.chksupportMobile.setHorizontalAlignment(2);
        // contcallbackUrl		
        this.contcallbackUrl.setBoundLabelText(resHelper.getString("contcallbackUrl.boundLabelText"));		
        this.contcallbackUrl.setBoundLabelLength(100);		
        this.contcallbackUrl.setBoundLabelUnderline(true);		
        this.contcallbackUrl.setVisible(true);
        // contcallbackToken		
        this.contcallbackToken.setBoundLabelText(resHelper.getString("contcallbackToken.boundLabelText"));		
        this.contcallbackToken.setBoundLabelLength(100);		
        this.contcallbackToken.setBoundLabelUnderline(true);		
        this.contcallbackToken.setVisible(true);
        // contcallbacKey		
        this.contcallbacKey.setBoundLabelText(resHelper.getString("contcallbacKey.boundLabelText"));		
        this.contcallbacKey.setBoundLabelLength(100);		
        this.contcallbacKey.setBoundLabelUnderline(true);		
        this.contcallbacKey.setVisible(true);
        // contbizName		
        this.contbizName.setBoundLabelText(resHelper.getString("contbizName.boundLabelText"));		
        this.contbizName.setBoundLabelLength(100);		
        this.contbizName.setBoundLabelUnderline(true);		
        this.contbizName.setVisible(true);
        // contbizType		
        this.contbizType.setBoundLabelText(resHelper.getString("contbizType.boundLabelText"));		
        this.contbizType.setBoundLabelLength(100);		
        this.contbizType.setBoundLabelUnderline(true);		
        this.contbizType.setVisible(true);
        // chksupportBatchRead		
        this.chksupportBatchRead.setText(resHelper.getString("chksupportBatchRead.text"));		
        this.chksupportBatchRead.setVisible(true);		
        this.chksupportBatchRead.setHorizontalAlignment(2);
        // chkenableMarkReaded		
        this.chkenableMarkReaded.setText(resHelper.getString("chkenableMarkReaded.text"));		
        this.chkenableMarkReaded.setVisible(true);		
        this.chkenableMarkReaded.setHorizontalAlignment(2);
        // chkenableQuickOperate		
        this.chkenableQuickOperate.setText(resHelper.getString("chkenableQuickOperate.text"));		
        this.chkenableQuickOperate.setVisible(true);		
        this.chkenableQuickOperate.setHorizontalAlignment(2);
        // chkallowBatchOperate		
        this.chkallowBatchOperate.setText(resHelper.getString("chkallowBatchOperate.text"));		
        this.chkallowBatchOperate.setVisible(true);		
        this.chkallowBatchOperate.setHorizontalAlignment(2);
        // chkexcludeEfficStat		
        this.chkexcludeEfficStat.setText(resHelper.getString("chkexcludeEfficStat.text"));		
        this.chkexcludeEfficStat.setVisible(true);		
        this.chkexcludeEfficStat.setHorizontalAlignment(2);
        // kdtViews
		String kdtViewsStrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:NumberFormat>&amp;int</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"seq\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"viewerType\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"viewerUser\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /><t:Column t:key=\"viewerDepartment\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{seq}</t:Cell><t:Cell>$Resource{viewerType}</t:Cell><t:Cell>$Resource{viewerUser}</t:Cell><t:Cell>$Resource{viewerDepartment}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtViews.setFormatXml(resHelper.translateString("kdtViews",kdtViewsStrXML));

                this.kdtViews.putBindContents("entityBaseItemCustom",new String[] {"seq","viewerType","viewerUser","viewerDepartment"});


        this.kdtViews.checkParsed();
        KDFormattedTextField kdtViews_seq_TextField = new KDFormattedTextField();
        kdtViews_seq_TextField.setName("kdtViews_seq_TextField");
        kdtViews_seq_TextField.setVisible(true);
        kdtViews_seq_TextField.setEditable(true);
        kdtViews_seq_TextField.setHorizontalAlignment(2);
        kdtViews_seq_TextField.setDataType(0);
        KDTDefaultCellEditor kdtViews_seq_CellEditor = new KDTDefaultCellEditor(kdtViews_seq_TextField);
        this.kdtViews.getColumn("seq").setEditor(kdtViews_seq_CellEditor);
        KDComboBox kdtViews_viewerType_ComboBox = new KDComboBox();
        kdtViews_viewerType_ComboBox.setName("kdtViews_viewerType_ComboBox");
        kdtViews_viewerType_ComboBox.setVisible(true);
        kdtViews_viewerType_ComboBox.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.integration.feishu.bizEnum.ViewerTypeEnum").toArray());
        KDTDefaultCellEditor kdtViews_viewerType_CellEditor = new KDTDefaultCellEditor(kdtViews_viewerType_ComboBox);
        this.kdtViews.getColumn("viewerType").setEditor(kdtViews_viewerType_CellEditor);
        final KDBizPromptBox kdtViews_viewerUser_PromptBox = new KDBizPromptBox();
        kdtViews_viewerUser_PromptBox.setQueryInfo("com.kingdee.eas.base.permission.app.F7AllUserQuery");
        kdtViews_viewerUser_PromptBox.setVisible(true);
        kdtViews_viewerUser_PromptBox.setEditable(true);
        kdtViews_viewerUser_PromptBox.setDisplayFormat("$number$");
        kdtViews_viewerUser_PromptBox.setEditFormat("$number$");
        kdtViews_viewerUser_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtViews_viewerUser_CellEditor = new KDTDefaultCellEditor(kdtViews_viewerUser_PromptBox);
        this.kdtViews.getColumn("viewerUser").setEditor(kdtViews_viewerUser_CellEditor);
        ObjectValueRender kdtViews_viewerUser_OVR = new ObjectValueRender();
        kdtViews_viewerUser_OVR.setFormat(new BizDataFormat("$number$"));
        this.kdtViews.getColumn("viewerUser").setRenderer(kdtViews_viewerUser_OVR);
        final KDBizPromptBox kdtViews_viewerDepartment_PromptBox = new KDBizPromptBox();
        kdtViews_viewerDepartment_PromptBox.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");
        kdtViews_viewerDepartment_PromptBox.setVisible(true);
        kdtViews_viewerDepartment_PromptBox.setEditable(true);
        kdtViews_viewerDepartment_PromptBox.setDisplayFormat("$number$");
        kdtViews_viewerDepartment_PromptBox.setEditFormat("$number$");
        kdtViews_viewerDepartment_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtViews_viewerDepartment_CellEditor = new KDTDefaultCellEditor(kdtViews_viewerDepartment_PromptBox);
        this.kdtViews.getColumn("viewerDepartment").setEditor(kdtViews_viewerDepartment_CellEditor);
        ObjectValueRender kdtViews_viewerDepartment_OVR = new ObjectValueRender();
        kdtViews_viewerDepartment_OVR.setFormat(new BizDataFormat("$name$"));
        this.kdtViews.getColumn("viewerDepartment").setRenderer(kdtViews_viewerDepartment_OVR);
        // kdtManagers
		String kdtManagersStrXML = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><DocRoot xmlns:c=\"http://www.kingdee.com/Common\" xmlns:f=\"http://www.kingdee.com/Form\" xmlns:t=\"http://www.kingdee.com/Table\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.kingdee.com/KDF KDFSchema.xsd\" version=\"0.0\"><Styles><c:Style id=\"sCol0\"><c:NumberFormat>&amp;int</c:NumberFormat></c:Style></Styles><Table id=\"KDTable\"><t:Sheet name=\"sheet1\"><t:Table t:selectMode=\"15\" t:mergeMode=\"0\" t:dataRequestMode=\"0\" t:pageRowCount=\"100\"><t:ColumnGroup><t:Column t:key=\"seq\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" t:styleID=\"sCol0\" /><t:Column t:key=\"managerUser\" t:width=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\" t:moveable=\"true\" t:group=\"false\" t:required=\"false\" t:index=\"-1\" /></t:ColumnGroup><t:Head><t:Row t:name=\"header\" t:height=\"-1\" t:mergeable=\"true\" t:resizeable=\"true\"><t:Cell>$Resource{seq}</t:Cell><t:Cell>$Resource{managerUser}</t:Cell></t:Row></t:Head></t:Table><t:SheetOptions><t:MergeBlocks><t:Head /></t:MergeBlocks></t:SheetOptions></t:Sheet></Table></DocRoot>";
		
        this.kdtManagers.setFormatXml(resHelper.translateString("kdtManagers",kdtManagersStrXML));

                this.kdtManagers.putBindContents("entityBaseItemCustom",new String[] {"seq","managerUser"});


        this.kdtManagers.checkParsed();
        KDFormattedTextField kdtManagers_seq_TextField = new KDFormattedTextField();
        kdtManagers_seq_TextField.setName("kdtManagers_seq_TextField");
        kdtManagers_seq_TextField.setVisible(true);
        kdtManagers_seq_TextField.setEditable(true);
        kdtManagers_seq_TextField.setHorizontalAlignment(2);
        kdtManagers_seq_TextField.setDataType(0);
        KDTDefaultCellEditor kdtManagers_seq_CellEditor = new KDTDefaultCellEditor(kdtManagers_seq_TextField);
        this.kdtManagers.getColumn("seq").setEditor(kdtManagers_seq_CellEditor);
        final KDBizPromptBox kdtManagers_managerUser_PromptBox = new KDBizPromptBox();
        kdtManagers_managerUser_PromptBox.setQueryInfo("com.kingdee.eas.base.permission.app.F7AllUserQuery");
        kdtManagers_managerUser_PromptBox.setVisible(true);
        kdtManagers_managerUser_PromptBox.setEditable(true);
        kdtManagers_managerUser_PromptBox.setDisplayFormat("$number$");
        kdtManagers_managerUser_PromptBox.setEditFormat("$number$");
        kdtManagers_managerUser_PromptBox.setCommitFormat("$number$");
        KDTDefaultCellEditor kdtManagers_managerUser_CellEditor = new KDTDefaultCellEditor(kdtManagers_managerUser_PromptBox);
        this.kdtManagers.getColumn("managerUser").setEditor(kdtManagers_managerUser_CellEditor);
        ObjectValueRender kdtManagers_managerUser_OVR = new ObjectValueRender();
        kdtManagers_managerUser_OVR.setFormat(new BizDataFormat("$number$"));
        this.kdtManagers.getColumn("managerUser").setRenderer(kdtManagers_managerUser_OVR);
        // contsyncStatus		
        this.contsyncStatus.setBoundLabelText(resHelper.getString("contsyncStatus.boundLabelText"));		
        this.contsyncStatus.setBoundLabelLength(100);		
        this.contsyncStatus.setBoundLabelUnderline(true);		
        this.contsyncStatus.setVisible(true);
        // contsyncResult		
        this.contsyncResult.setBoundLabelText(resHelper.getString("contsyncResult.boundLabelText"));		
        this.contsyncResult.setBoundLabelLength(100);		
        this.contsyncResult.setBoundLabelUnderline(true);		
        this.contsyncResult.setVisible(true);
        // contmodel		
        this.contmodel.setBoundLabelText(resHelper.getString("contmodel.boundLabelText"));		
        this.contmodel.setBoundLabelLength(100);		
        this.contmodel.setBoundLabelUnderline(true);		
        this.contmodel.setVisible(true);
        // txtId		
        this.txtId.setMaxLength(44);
        // prmtCreator
        // pkCreateTime
        // prmtLastUpdateUser
        // pkLastUpdateTime
        // prmtCU
        // txtBaseInfoId		
        this.txtBaseInfoId.setMaxLength(44);
        // txtIndex		
        this.txtIndex.setMaxLength(44);
        // prmtHrOrgUse
        // comboState		
        this.comboState.addItems(EnumUtils.getEnumList("com.kingdee.shr.base.syssetting.DisatributeState").toArray());
        // comboChangeType		
        this.comboChangeType.addItems(EnumUtils.getEnumList("com.kingdee.shr.base.syssetting.BaseDataChangeType").toArray());
        // txtapprovalCode		
        this.txtapprovalCode.setVisible(true);		
        this.txtapprovalCode.setHorizontalAlignment(2);		
        this.txtapprovalCode.setMaxLength(100);		
        this.txtapprovalCode.setRequired(false);
        // prmtapprovalName		
        this.prmtapprovalName.setQueryInfo("com.kingdee.eas.custom.integration.feishu.app.FeishuI18nResourcesQuery");		
        this.prmtapprovalName.setVisible(true);		
        this.prmtapprovalName.setEditable(true);		
        this.prmtapprovalName.setDisplayFormat("$name$");		
        this.prmtapprovalName.setEditFormat("$number$");		
        this.prmtapprovalName.setCommitFormat("$number$");		
        this.prmtapprovalName.setRequired(false);
        // prmtgroup		
        this.prmtgroup.setQueryInfo("com.kingdee.eas.custom.integration.feishu.app.FeishuApprovalGroupQuery");		
        this.prmtgroup.setVisible(true);		
        this.prmtgroup.setEditable(true);		
        this.prmtgroup.setDisplayFormat("$name$");		
        this.prmtgroup.setEditFormat("$number$");		
        this.prmtgroup.setCommitFormat("$number$");		
        this.prmtgroup.setRequired(false);
        // scrollPanecreateLinkPc
        // txtcreateLinkPc		
        this.txtcreateLinkPc.setVisible(true);		
        this.txtcreateLinkPc.setRequired(false);		
        this.txtcreateLinkPc.setMaxLength(512);
        // scrollPanecreateLinkMobile
        // txtcreateLinkMobile		
        this.txtcreateLinkMobile.setVisible(true);		
        this.txtcreateLinkMobile.setRequired(false);		
        this.txtcreateLinkMobile.setMaxLength(512);
        // scrollPanecallbackUrl
        // txtcallbackUrl		
        this.txtcallbackUrl.setVisible(true);		
        this.txtcallbackUrl.setRequired(false);		
        this.txtcallbackUrl.setMaxLength(512);
        // scrollPanecallbackToken
        // txtcallbackToken		
        this.txtcallbackToken.setVisible(true);		
        this.txtcallbackToken.setRequired(false);		
        this.txtcallbackToken.setMaxLength(512);
        // scrollPanecallbacKey
        // txtcallbacKey		
        this.txtcallbacKey.setVisible(true);		
        this.txtcallbacKey.setRequired(false);		
        this.txtcallbacKey.setMaxLength(512);
        // prmtbizName		
        this.prmtbizName.setQueryInfo("com.kingdee.eas.custom.integration.feishu.app.FeishuI18nResourcesQuery");		
        this.prmtbizName.setVisible(true);		
        this.prmtbizName.setEditable(true);		
        this.prmtbizName.setDisplayFormat("$name$");		
        this.prmtbizName.setEditFormat("$number$");		
        this.prmtbizName.setCommitFormat("$number$");		
        this.prmtbizName.setRequired(false);
        // txtbizType		
        this.txtbizType.setVisible(true);		
        this.txtbizType.setHorizontalAlignment(2);		
        this.txtbizType.setMaxLength(100);		
        this.txtbizType.setRequired(false);
        // syncStatus		
        this.syncStatus.setVisible(true);		
        this.syncStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum").toArray());		
        this.syncStatus.setRequired(false);
        // scrollPanesyncResult
        // txtsyncResult		
        this.txtsyncResult.setVisible(true);		
        this.txtsyncResult.setRequired(false);		
        this.txtsyncResult.setMaxLength(1000);
        // scrollPanemodel
        // txtmodel		
        this.txtmodel.setVisible(true);		
        this.txtmodel.setRequired(false);		
        this.txtmodel.setMaxLength(512);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new Component[] {txtapprovalCode,prmtapprovalName,prmtgroup,comboChangeType,comboState,txtcreateLinkPc,txtcreateLinkMobile,chksupportPc,chksupportMobile,txtcallbackUrl,txtcallbackToken,txtcallbacKey,prmtbizName,txtbizType,chksupportBatchRead,chkenableMarkReaded,chkenableQuickOperate,chkallowBatchOperate,chkexcludeEfficStat,syncStatus,txtsyncResult,txtmodel}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new ArrayList();
		KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(Arrays.asList(bars));
		}
		return (KDToolBar[])list.toArray(new KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(10, 10, 1013, 629));
        this.setLayout(null);
        contId.setBounds(new Rectangle(10, 10, 270, 19));
        this.add(contId, null);
        contCreator.setBounds(new Rectangle(300, 10, 270, 19));
        this.add(contCreator, null);
        contCreateTime.setBounds(new Rectangle(10, 40, 270, 19));
        this.add(contCreateTime, null);
        contLastUpdateUser.setBounds(new Rectangle(300, 40, 270, 19));
        this.add(contLastUpdateUser, null);
        contLastUpdateTime.setBounds(new Rectangle(10, 70, 270, 19));
        this.add(contLastUpdateTime, null);
        contCU.setBounds(new Rectangle(300, 70, 270, 19));
        this.add(contCU, null);
        contBaseInfoId.setBounds(new Rectangle(10, 100, 270, 19));
        this.add(contBaseInfoId, null);
        chkIsComUse.setBounds(new Rectangle(300, 100, 140, 19));
        this.add(chkIsComUse, null);
        contIndex.setBounds(new Rectangle(10, 130, 270, 19));
        this.add(contIndex, null);
        contHrOrgUse.setBounds(new Rectangle(300, 130, 270, 19));
        this.add(contHrOrgUse, null);
        contState.setBounds(new Rectangle(10, 160, 270, 19));
        this.add(contState, null);
        contChangeType.setBounds(new Rectangle(300, 160, 270, 19));
        this.add(contChangeType, null);
        contapprovalCode.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contapprovalCode, null);
        contapprovalName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contapprovalName, null);
        contgroup.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contgroup, null);
        contcreateLinkPc.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcreateLinkPc, null);
        contcreateLinkMobile.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcreateLinkMobile, null);
        chksupportPc.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chksupportPc, null);
        chksupportMobile.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chksupportMobile, null);
        contcallbackUrl.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcallbackUrl, null);
        contcallbackToken.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcallbackToken, null);
        contcallbacKey.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contcallbacKey, null);
        contbizName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbizName, null);
        contbizType.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contbizType, null);
        chksupportBatchRead.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chksupportBatchRead, null);
        chkenableMarkReaded.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkenableMarkReaded, null);
        chkenableQuickOperate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkenableQuickOperate, null);
        chkallowBatchOperate.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkallowBatchOperate, null);
        chkexcludeEfficStat.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkexcludeEfficStat, null);
        kdtViews.setBounds(new Rectangle(0, 0, 600, 170));
        kdtViews_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtViews,new com.kingdee.eas.custom.integration.feishu.FeishuApprovalsViewInfo(),null,false);
        this.add(kdtViews_detailPanel, null);
		kdtViews_detailPanel.addAddListener(new com.kingdee.eas.framework.client.multiDetail.IDetailPanelListener() {
			public void beforeEvent(com.kingdee.eas.framework.client.multiDetail.DetailPanelEvent event) throws Exception {
				IObjectValue vo = event.getObjectValue();
vo.put("viewerType","TENANT");
			}
			public void afterEvent(com.kingdee.eas.framework.client.multiDetail.DetailPanelEvent event) throws Exception {
			}
		});
        kdtManagers.setBounds(new Rectangle(0, 0, 600, 170));
        kdtManagers_detailPanel = (com.kingdee.eas.framework.client.multiDetail.DetailPanel)com.kingdee.eas.framework.client.multiDetail.HMDUtils.buildDetail(this,dataBinder,kdtManagers,new com.kingdee.eas.custom.integration.feishu.FeishuApprovalsManagerInfo(),null,false);
        this.add(kdtManagers_detailPanel, null);
        contsyncStatus.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsyncStatus, null);
        contsyncResult.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsyncResult, null);
        contmodel.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contmodel, null);
        //contId
        contId.setBoundEditor(txtId);
        //contCreator
        contCreator.setBoundEditor(prmtCreator);
        //contCreateTime
        contCreateTime.setBoundEditor(pkCreateTime);
        //contLastUpdateUser
        contLastUpdateUser.setBoundEditor(prmtLastUpdateUser);
        //contLastUpdateTime
        contLastUpdateTime.setBoundEditor(pkLastUpdateTime);
        //contCU
        contCU.setBoundEditor(prmtCU);
        //contBaseInfoId
        contBaseInfoId.setBoundEditor(txtBaseInfoId);
        //contIndex
        contIndex.setBoundEditor(txtIndex);
        //contHrOrgUse
        contHrOrgUse.setBoundEditor(prmtHrOrgUse);
        //contState
        contState.setBoundEditor(comboState);
        //contChangeType
        contChangeType.setBoundEditor(comboChangeType);
        //contapprovalCode
        contapprovalCode.setBoundEditor(txtapprovalCode);
        //contapprovalName
        contapprovalName.setBoundEditor(prmtapprovalName);
        //contgroup
        contgroup.setBoundEditor(prmtgroup);
        //contcreateLinkPc
        contcreateLinkPc.setBoundEditor(scrollPanecreateLinkPc);
        //scrollPanecreateLinkPc
        scrollPanecreateLinkPc.getViewport().add(txtcreateLinkPc, null);
        //contcreateLinkMobile
        contcreateLinkMobile.setBoundEditor(scrollPanecreateLinkMobile);
        //scrollPanecreateLinkMobile
        scrollPanecreateLinkMobile.getViewport().add(txtcreateLinkMobile, null);
        //contcallbackUrl
        contcallbackUrl.setBoundEditor(scrollPanecallbackUrl);
        //scrollPanecallbackUrl
        scrollPanecallbackUrl.getViewport().add(txtcallbackUrl, null);
        //contcallbackToken
        contcallbackToken.setBoundEditor(scrollPanecallbackToken);
        //scrollPanecallbackToken
        scrollPanecallbackToken.getViewport().add(txtcallbackToken, null);
        //contcallbacKey
        contcallbacKey.setBoundEditor(scrollPanecallbacKey);
        //scrollPanecallbacKey
        scrollPanecallbacKey.getViewport().add(txtcallbacKey, null);
        //contbizName
        contbizName.setBoundEditor(prmtbizName);
        //contbizType
        contbizType.setBoundEditor(txtbizType);
        //contsyncStatus
        contsyncStatus.setBoundEditor(syncStatus);
        //contsyncResult
        contsyncResult.setBoundEditor(scrollPanesyncResult);
        //scrollPanesyncResult
        scrollPanesyncResult.getViewport().add(txtsyncResult, null);
        //contmodel
        contmodel.setBoundEditor(scrollPanemodel);
        //scrollPanemodel
        scrollPanemodel.getViewport().add(txtmodel, null);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        //menuTool
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnReset);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnSave);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("isComUse", boolean.class, this.chkIsComUse, "selected");
		dataBinder.registerBinding("supportPc", boolean.class, this.chksupportPc, "selected");
		dataBinder.registerBinding("supportMobile", boolean.class, this.chksupportMobile, "selected");
		dataBinder.registerBinding("supportBatchRead", boolean.class, this.chksupportBatchRead, "selected");
		dataBinder.registerBinding("enableMarkReaded", boolean.class, this.chkenableMarkReaded, "selected");
		dataBinder.registerBinding("enableQuickOperate", boolean.class, this.chkenableQuickOperate, "selected");
		dataBinder.registerBinding("allowBatchOperate", boolean.class, this.chkallowBatchOperate, "selected");
		dataBinder.registerBinding("excludeEfficStat", boolean.class, this.chkexcludeEfficStat, "selected");
		dataBinder.registerBinding("views.seq", int.class, this.kdtViews, "seq.text");
		dataBinder.registerBinding("Views", com.kingdee.eas.custom.integration.feishu.FeishuApprovalsViewInfo.class, this.kdtViews, "userObject");
		dataBinder.registerBinding("views.viewerType", com.kingdee.util.enums.Enum.class, this.kdtViews, "viewerType.text");
		dataBinder.registerBinding("views.viewerUser", Object.class, this.kdtViews, "viewerUser.text");
		dataBinder.registerBinding("views.viewerDepartment", Object.class, this.kdtViews, "viewerDepartment.text");
		dataBinder.registerBinding("managers.seq", int.class, this.kdtManagers, "seq.text");
		dataBinder.registerBinding("Managers", com.kingdee.eas.custom.integration.feishu.FeishuApprovalsManagerInfo.class, this.kdtManagers, "userObject");
		dataBinder.registerBinding("managers.managerUser", Object.class, this.kdtManagers, "managerUser.text");
		dataBinder.registerBinding("id", BOSUuid.class, this.txtId, "text");
		dataBinder.registerBinding("creator", com.kingdee.eas.base.permission.UserInfo.class, this.prmtCreator, "data");
		dataBinder.registerBinding("createTime", java.sql.Timestamp.class, this.pkCreateTime, "value");
		dataBinder.registerBinding("lastUpdateUser", com.kingdee.eas.base.permission.UserInfo.class, this.prmtLastUpdateUser, "data");
		dataBinder.registerBinding("lastUpdateTime", java.sql.Timestamp.class, this.pkLastUpdateTime, "value");
		dataBinder.registerBinding("CU", com.kingdee.eas.basedata.org.CtrlUnitInfo.class, this.prmtCU, "data");
		dataBinder.registerBinding("baseInfoId", String.class, this.txtBaseInfoId, "text");
		dataBinder.registerBinding("index", String.class, this.txtIndex, "text");
		dataBinder.registerBinding("hrOrgUse", com.kingdee.eas.basedata.org.HROrgUnitInfo.class, this.prmtHrOrgUse, "data");
		dataBinder.registerBinding("state", com.kingdee.shr.base.syssetting.DisatributeState.class, this.comboState, "selectedItem");
		dataBinder.registerBinding("changeType", com.kingdee.shr.base.syssetting.BaseDataChangeType.class, this.comboChangeType, "selectedItem");
		dataBinder.registerBinding("approvalCode", String.class, this.txtapprovalCode, "text");
		dataBinder.registerBinding("approvalName", com.kingdee.eas.custom.integration.feishu.FeishuI18nResourcesInfo.class, this.prmtapprovalName, "data");
		dataBinder.registerBinding("group", com.kingdee.eas.custom.integration.feishu.FeishuApprovalGroupInfo.class, this.prmtgroup, "data");
		dataBinder.registerBinding("createLinkPc", String.class, this.txtcreateLinkPc, "text");
		dataBinder.registerBinding("createLinkMobile", String.class, this.txtcreateLinkMobile, "text");
		dataBinder.registerBinding("callbackUrl", String.class, this.txtcallbackUrl, "text");
		dataBinder.registerBinding("callbackToken", String.class, this.txtcallbackToken, "text");
		dataBinder.registerBinding("callbacKey", String.class, this.txtcallbacKey, "text");
		dataBinder.registerBinding("bizName", com.kingdee.eas.custom.integration.feishu.FeishuI18nResourcesInfo.class, this.prmtbizName, "data");
		dataBinder.registerBinding("bizType", String.class, this.txtbizType, "text");
		dataBinder.registerBinding("syncStatus", com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum.class, this.syncStatus, "selectedItem");
		dataBinder.registerBinding("syncResult", String.class, this.txtsyncResult, "text");
		dataBinder.registerBinding("model", String.class, this.txtmodel, "text");		
	}
	//Regiester UI State
	private void registerUIState(){		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.integration.feishu.app.FeishuApprovalsEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtapprovalCode.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.framework.CoreBaseInfo)ov;
    }

    /**
     * output setDataObject method
     */
    public void setDataObject(String key, IObjectValue dataObject)
    {
        super.setDataObject(key, dataObject);
	}
			protected com.kingdee.eas.basedata.org.OrgType getMainBizOrgType() {
			return com.kingdee.eas.basedata.org.OrgType.getEnum("HRO");
		}


    /**
     * output loadFields method
     */
    public void loadFields()
    {
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("isComUse", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("supportPc", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("supportMobile", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("supportBatchRead", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("enableMarkReaded", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("enableQuickOperate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("allowBatchOperate", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("excludeEfficStat", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("views.seq", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Views", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("views.viewerType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("views.viewerUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("views.viewerDepartment", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("managers.seq", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("Managers", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("managers.managerUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("id", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("creator", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateUser", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("lastUpdateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("CU", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("baseInfoId", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("index", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("hrOrgUse", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("state", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("changeType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("approvalCode", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("approvalName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("group", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createLinkPc", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("createLinkMobile", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("callbackUrl", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("callbackToken", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("callbacKey", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("bizType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("syncStatus", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("syncResult", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("model", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
        } else if (STATUS_EDIT.equals(this.oprtState)) {
        } else if (STATUS_VIEW.equals(this.oprtState)) {
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("isComUse"));
        sic.add(new SelectorItemInfo("id"));
        sic.add(new SelectorItemInfo("creator"));
        sic.add(new SelectorItemInfo("createTime"));
        sic.add(new SelectorItemInfo("lastUpdateUser"));
        sic.add(new SelectorItemInfo("lastUpdateTime"));
        sic.add(new SelectorItemInfo("CU"));
        sic.add(new SelectorItemInfo("baseInfoId"));
        sic.add(new SelectorItemInfo("index"));
        sic.add(new SelectorItemInfo("hrOrgUse"));
        sic.add(new SelectorItemInfo("state"));
        sic.add(new SelectorItemInfo("changeType"));
        return sic;
    }        

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.integration.feishu.client", "FeishuApprovalsEditUI");
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return FeishuApprovalsEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.integration.feishu.FeishuApprovalsFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.integration.feishu.FeishuApprovalsInfo objectValue = new com.kingdee.eas.custom.integration.feishu.FeishuApprovalsInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }



    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {
        return kdtViews;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
    }        
	protected void setFieldsNull(AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}